#layer format:
#   {
#   loot: LIST of ids (in loot mc_calamity:gameplay/fishing)
#   condition: COMMAND (has to return a boolean or number)
#   reference: storage path from storage mc_calamity:store Fishing
#       Copies all entries if refering to entire rarity table
#       Merges entries if refering to a sinlge entry
#       Note: Please be careful with this. There is nothing preventing it from infini-looping
#   extra:
#       {
#       loot: LIST of ids (in loot mc_calamity:gameplay/fishing)
#       condition: COMMAND (has to return a boolean or number)
#       }
#   }
data remove storage mc_calamity:store Fishing

data modify storage mc_calamity:store Fishing.crates set value {\
        wood: [\
            {loot:[11], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
            {loot:[12], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        iron: [\
            {loot:[19], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
            {loot:[20], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        gold: [\
           {loot:[21], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[22], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"}  ],\
        obsidian: [\
           {loot:[13], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[14], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"}  ]\
    }

data modify storage mc_calamity:store Fishing.forest set value {\
        plentiful: [ {loot:[57]}, {reference:"crates.wood"} ],\
        common: [ {loot:[6]}, {reference:"crates.wood"} ],\
        uncommon: [ {loot:[62], extra: [{loot:[85], condition:"execute if predicate mc_calamity:is_night"}, {loot:[153], condition:"execute if entity @s[tag=event.mc_calamity.blood_moon]"}]}, {reference:"crates.iron"} ],\
        rare: [ ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {loot:[51,174]}, {reference:"crates.gold"}  ]\
    }

data modify storage mc_calamity:store Fishing.ocean set value {\
        plentiful: [{loot:[18],extra:[{loot:[116], condition:"execute if biome ~ ~ ~ minecraft:warm_ocean"}]}, {reference:"crates.wood"} ],\
        common: [ {loot:[ 117 ]}, {reference:"crates.wood"} ],\
        uncommon: [ {loot:[126,62], extra: [{loot:[85], condition:"execute if predicate mc_calamity:is_night"},{loot:[120], condition:"execute if biome ~ ~ ~ minecraft:warm_ocean"}, {loot:[153], condition:"execute if entity @s[tag=event.mc_calamity.blood_moon]"}]},{reference:"crates.iron"} ],\
        rare: [ {loot:[3]},\
           {loot:[39], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[40], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {loot:[2, 4]}, {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.astral_infection set value {\
        plentiful: [{loot:[142]}, {reference:"crates.wood"} ],\
        common: [ {loot:[142]}, {reference:"crates.wood"} ],\
        uncommon: [ {loot:[62,52,159, 115]}, {reference:"crates.iron"} ],\
        rare: [ {loot:[52,159, 115]},\
           {loot:[41], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[42], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {loot:[52,159,115]}, {reference:"crates.gold"} ],\
        extremely_rare: [ {loot:[51,175]}, {reference:"crates.gold"} ],\
    }

data modify storage mc_calamity:store Fishing.corruption set value {\
        plentiful: [ {reference:"forest.plentiful"} ],\
        common: [ ],\
        uncommon: [ {loot:[84,62], extra: [{loot:[151], condition:"execute if entity @s[tag=event.mc_calamity.hardcore]"}]}, {reference:"crates.iron"} ],\
        rare: [ \
           {loot:[27], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[28], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.crimson set value {\
        plentiful: [ {reference:"forest.plentiful"} ],\
        common: [ ],\
        uncommon: [ {loot:[99, 75, 62], extra: [{loot:[151], condition:"execute if entity @s[tag=event.mc_calamity.hardcore]"}]}, {reference:"crates.iron"} ],\
        rare: [ \
           {loot:[29], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[30], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {loot:[51,174], \
                extra: [{loot:[160], condition:"execute if entity @s[tag=event.mc_calamity.hardcore]"}]\
                }, {reference:"crates.gold"} ],\
    }

data modify storage mc_calamity:store Fishing.desert set value {\
        plentiful: [{loot:[91, 119]}, {reference:"crates.wood"} ],\
        common: [ ],\
        uncommon: [ {loot:[62], extra: [{loot:[85], condition:"execute if predicate mc_calamity:is_night"}, {loot:[153], condition:"execute if entity @s[tag=event.mc_calamity.blood_moon]"}]}, {reference:"crates.iron"} ],\
        rare: [ \
           {loot:[37], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[38], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.dungeon set value {\
        plentiful: [ {reference:"forest.plentiful"} ],\
        common: [ ],\
        uncommon: [ {loot:[62]}, {reference:"crates.iron"}],\
        rare: [ \
           {loot:[33], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[34], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.glowing_mushroom set value {\
        plentiful: [ {reference:"forest.plentiful"} ],\
        common: [ ],\
        uncommon: [ {loot:[62]}, {reference:"crates.iron"} ],\
        rare: [ ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.hallow set value {\
        plentiful: [ {reference:"forest.plentiful"} ],\
        common: [ ],\
        uncommon: [ {loot:[62], extra: [{loot:[150], condition:"execute if entity @s[tag=event.mc_calamity.hardcore]"}] }, {reference:"crates.iron"} ],\
        rare: [ \
           {loot:[39], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[40], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.honey set value {\
        plentiful: [{loot:[147]} ],\
        common: [ ],\
        uncommon: [ ],\
        rare: [ ],\
        very_rare:  [ ],\
        extremely_rare: [ ],\
    }

data modify storage mc_calamity:store Fishing.jungle set value {\
        plentiful: [ {loot:[116], reference:"forest.plentiful[0]"}, {reference:"crates.wood"} ],\
        common: [ {loot:[107]}, {reference:"crates.wood"} ],\
        uncommon: [ {loot:[62, 144, 81]}, {reference:"crates.iron"} ],\
        rare: [ \
           {loot:[23], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[24], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.sky set value {\
        plentiful: [ {reference:"forest.plentiful"} ],\
        common: [ ],\
        uncommon: [ {loot:[62, 77], extra: [{loot:[149, 156], condition:"execute if entity @s[tag=event.mc_calamity.hardcore]"}] },{reference:"crates.iron"} ],\
        rare: [ \
           {loot:[25], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[26], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.snow set value {\
        plentiful: [ {loot:[121], reference:"forest.plentiful[0]"}, {reference:"crates.wood"} ],\
        common: [ {loot:[56] }, {reference:"crates.wood"}],\
        uncommon: [ {loot:[62, 92], extra: [{loot:[148], condition:"execute if entity @s[tag=event.mc_calamity.hardcore]"},{loot:[85], condition:"execute if predicate mc_calamity:is_night"}, {loot:[153], condition:"execute if entity @s[tag=event.mc_calamity.blood_moon]"}] }, {reference:"crates.iron"} ],\
        rare: [ \
           {loot:[35], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[36], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.sulfurous_sea set value {\
        plentiful: [{loot:[18]}, {reference:"crates.wood"} ],\
        common: [ ],\
        uncommon: [ {loot:[62, 126]}, {reference:"crates.iron"} ],\
        rare: [ \
           {loot:[47], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[48], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"} ],\
    }

data modify storage mc_calamity:store Fishing.sunken_sea set value {\
        plentiful: [{loot:[113]}, {reference:"crates.wood"} ],\
        common: [ {loot:[113]}, {reference:"crates.wood"} ],\
        uncommon: [ {loot:[62, 134]}, {reference:"crates.iron"} ],\
        rare: [ {loot:[134]},\
           {loot:[45], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[46], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {loot:[96, 134]}, {reference:"crates.gold"} ],\
        extremely_rare: [ {loot:[5, 51, 174]}, {reference:"crates.gold"} ],\
    }

data modify storage mc_calamity:store Fishing.underground set value {\
        plentiful: [ {loot:[57]}, {reference:"crates.wood"} ],\
        common: [ {loot:[131]}, {reference:"crates.wood"} ],\
        uncommon: [ {loot:[62, 152] }, {reference:"crates.iron"} ],\
        rare: [ {loot:[ 8, 9, 10, 133]} ],\
        very_rare:  [ {loot:[ 7 ]}, {reference:"crates.gold"} ],\
        extremely_rare: [ {reference:"forest.extremely_rare"}  ]\
    }

data modify storage mc_calamity:store Fishing.trial_chambers set value {\
        plentiful: [ {reference:"underground.plentiful"} ],\
        common: [ {reference:"underground.common"} ],\
        uncommon: [ {loot:[165, 62], extra: [{loot:[166], condition:"execute on origin unless predicate mc_calamity:gameplay/has_trial_omen"}, {loot:[167], condition:"execute on origin if predicate mc_calamity:gameplay/has_trial_omen"}] }, {reference:"crates.iron"} ],\
        rare: [ {loot:[ 8, 9, 10] },\
           {loot:[170], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[171], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {loot:[], extra: [{loot:[168], condition:"execute on origin unless predicate mc_calamity:gameplay/has_trial_omen"}, {loot:[169], condition:"execute on origin if predicate mc_calamity:gameplay/has_trial_omen"}]}, {reference:"crates.gold"} ],\
        extremely_rare: []\
    }

#<Roger_Swifer_Cleaner> i hate you, lava fishing rarity. make better sense
data modify storage mc_calamity:store Fishing.lava set value {\
        plentiful: [ {loot:[ 108 ]}, {reference:"crates.obsidian"} ],\
        common: [ ],\
        uncommon: [ {loot:[ 15 ]}, {reference:"crates.obsidian"} ],\
        rare: [ {loot:[ 108 ]}],\
        very_rare:  [ {loot:[ 15 ]} ],\
        extremely_rare: [ {loot:[157,158]} ],\
    }

data modify storage mc_calamity:store Fishing.brimstone_crag set value {\
        plentiful: [ {loot:[ 74 ]}, {reference:"crates.obsidian"} ],\
        common: [ ],\
        uncommon: [ {loot:[ 73, 125]}, {reference:"crates.obsidian"} ],\
        rare: [\
           {loot:[43], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[44], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {loot:[ ], extra:\
            [{loot:[70, 154], condition:"execute if entity @s[tag=event.mc_calamity.hardcore]"}] } ],\
        extremely_rare: [ {loot:[],reference:"lava.extremely_rare[0]"} ],\
    }

data modify storage mc_calamity:store Fishing.soul_valley set value {\
        plentiful: [ {loot:[ 108 ]}, {reference:"crates.obsidian"} ],\
        common: [ ],\
        uncommon: [ {loot:[ 15 , 16 ]}, {reference:"crates.obsidian"} ],\
        rare: [ {loot:[ 108 , 16]}],\
        very_rare:  [ {loot:[ 15, 17]} ],\
        extremely_rare: [ {reference:"lava.extremely_rare"}  ],\
    }

data modify storage mc_calamity:store Fishing.end set value {\
        plentiful: [ {loot:[161]}, {reference:"crates.wood"} ],\
        common: [ {loot:[163]}, {reference:"crates.wood"} ],\
        uncommon: [ {loot:[164] }, {reference:"crates.iron"} ],\
        rare: [ {loot:[162]},\
           {loot:[172], condition:"execute if entity @s[tag=!event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"},\
           {loot:[173], condition:"execute if entity @s[tag=event.mc_calamity.hardcore, tag=loot.mc_calamity.crate]"} ],\
        very_rare:  [ {reference:"crates.gold"} ],\
        extremely_rare: [ ]\
    }
